
Redmine - Defect #25269

Emails with no text or html Content not handled properly

2017-03-06 17:51 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

This currently only affects trunk.

The change to the handling of incoming emails committed in r16371 and proposed in #25256 unfortunately improperly handles

emails with multipart content but no content in a text or html part of the email. This might be the case if the email is intentionally left

blank.

I will provide a patch and a test for that case.

Related issues:

Related to Redmine - Defect #25256: Mail parts with empty content should be i... Closed

Associated revisions

Revision 16379 - 2017-03-07 18:54 - Jean-Philippe Lang

Emails with no text or html Content not handled properly (#25269, #25256).

Patch by Felix Schäfer.

History

#1 - 2017-03-06 17:54 - Felix Schäfer

- File 25269-intentionaly_blank_emails.patch added

Attached is a patch with the fix and a test for the case of no content in the html or text parts. Also included are comments provided by my colleague

Holger Just to make clear what each part does in what case.

#2 - 2017-03-07 01:03 - Go MAEDA

- Related to Defect #25256: Mail parts with empty content should be ignored added

#3 - 2017-03-07 08:20 - Felix Schäfer

- File 25269-intentionaly_blank_emails.patch added

My previous patch did not include the fixture email file for the test, sorry for the oversight.

#4 - 2017-03-07 18:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Thanks for this fix.

Files

25269-intentionaly_blank_emails.patch 1.86 KB 2017-03-06 Felix Schäfer

25269-intentionaly_blank_emails.patch 3.17 KB 2017-03-07 Felix Schäfer
